org.apache.http.protocol

## Class RequestUserAgent

- java.lang.Object
- - org.apache.http.protocol.RequestUserAgent

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestUserAgent
    extends Object
    implements HttpRequestInterceptor

RequestUserAgent is responsible for adding `User-Agent` header. This interceptor is recommended for client side protocol processors.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`RequestUserAgent()`
`RequestUserAgent(String userAgent)`

### Method Summary

Methods
`void` `process(HttpRequest request, HttpContext context)` Processes a request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestUserAgent

    public RequestUserAgent(String userAgent)

#### RequestUserAgent

    public RequestUserAgent()

### Method Detail

#### process

    public void process(HttpRequest request,
               HttpContext context)
                 throws HttpException,
                        IOException

Description copied from interface: `HttpRequestInterceptor`
Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.

Specified by:
  `process` in interface `HttpRequestInterceptor`
Parameters:
  `request` - the request to preprocess
  `context` - the context for the request
Throws:
  `HttpException` - in case of an HTTP protocol violation
  `IOException` - in case of an I/O error